## pidgin-facebookchat 1.60

=== Makefile ===
#Customisable stuff here
LINUX32_COMPILER = i686-pc-linux-gnu-gcc
LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
WIN32_WINDRES = i586-mingw32-windres
#LINUX_ARM_COMPILER = arm-pc-linux-gnu-gcc
LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc
LINUX_PPC_COMPILER = powerpc-unknown-linux-gnu-gcc
FREEBSD60_COMPILER = i686-pc-freebsd6.0-gcc
MACPORT_COMPILER = i686-apple-darwin9-gcc-4.0.1

LIBPURPLE_CFLAGS = -I/usr/include/libpurple -I/usr/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/include/json-glib-1.0 -ljson-glib-1.0
WIN32_DEV_DIR = /root/pidgin/win32-dev
WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.3.0_win32
WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0
WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32 -L. -ljson-glib-1.0 -lzlib1
MACPORT_CFLAGS = -I/opt/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/json-glib-1.0 -arch i386 -arch ppc -dynamiclib -L/opt/local/lib -ljson-glib-1.0 -lpurple -lglib-2.0 -lgobject-2.0 -lintl -lz -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4

DEB_PACKAGE_DIR = ./debdir

FACEBOOK_SOURCES = \
	libfacebook.h \
	libfacebook.c \
	fb_blist.h \
	fb_blist.c \
	fb_connection.h \
	fb_connection.c \
	fb_conversation.h \
	fb_conversation.c \
	fb_info.h \
	fb_info.c \
	fb_managefriends.h \
	fb_managefriends.c \
	fb_messages.h \
	fb_messages.c \
	fb_notifications.h \
	fb_notifications.c \
	fb_search.h \
	fb_search.c \
	fb_util.h \
	fb_util.c \
	fb_friendlist.h \
	fb_friendlist.c

#Standard stuff here
.PHONY:	all clean install sourcepackage

all:	libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so installers sourcepackage

install:
	cp libfacebook.so /usr/lib/purple-2/
	cp libfacebook64.so /usr/lib64/purple-2/
	cp libfacebookarm.so /usr/lib/pidgin/
	cp libfacebookppc.so /usr/lib/purple-2/
	cp facebook16.png /usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png /usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png /usr/share/pixmaps/pidgin/protocols/48/facebook.png

installers:	pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2

clean:
	rm -f libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2 pidgin-facebookchat-source.tar.bz2
	rm -rf pidgin-facebookchat

libfacebook.so:	${FACEBOOK_SOURCES}
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC

libfacebookarm.so:	${FACEBOOK_SOURCES}
	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookarm.so -shared -fPIC -DPIC

libfacebook64.so:	${FACEBOOK_SOURCES}
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -m64 -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook64.so -shared -fPIC -DPIC

libfacebookppc.so:	${FACEBOOK_SOURCES}
	${LINUX_PPC_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookppc.so -shared -fPIC -DPIC

libfacebookmacport.so: ${FACEBOOK_SOURCES}
	${MACPORT_COMPILER} ${MACPORT_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookmacport.so -shared

pidgin-facebookchat.res:	pidgin-facebookchat.rc
	${WIN32_WINDRES} $< -O coff -o $@

libfacebook.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
	upx libfacebook.dll

libfacebook-debug.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}

libfacebookbsd60.so:	${FACEBOOK_SOURCES}
	${FREEBSD60_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC


pidgin-facebookchat.exe:	libfacebook.dll
	echo "Dont forget to update version number"
	makensis facebook.nsi > /dev/null
	
pidgin-facebookchat.deb:	libfacebook.so libfacebookarm.so libfacebook64.so libfacebookppc.so
	echo "Dont forget to update version number"
	cp libfacebook.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebookppc.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebook64.so ${DEB_PACKAGE_DIR}/usr/lib64/purple-2/
	cp libfacebookarm.so ${DEB_PACKAGE_DIR}/usr/lib/pidgin/
	cp facebook16.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/48/facebook.png
	chown -R root:root ${DEB_PACKAGE_DIR}
	chmod -R 755 ${DEB_PACKAGE_DIR}
	dpkg-deb --build ${DEB_PACKAGE_DIR} $@ > /dev/null

pidgin-facebookchat.tar.bz2:	pidgin-facebookchat.deb
	tar --bzip2 --directory ${DEB_PACKAGE_DIR} -cf $@ usr/

sourcepackage:	${FACEBOOK_SOURCES} Makefile facebook16.png facebook22.png facebook48.png COPYING facebook.nsi
	tar -cf tmp.tar $^
	mkdir pidgin-facebookchat
	mv tmp.tar pidgin-facebookchat
	tar xvf pidgin-facebookchat/tmp.tar -C pidgin-facebookchat
	rm pidgin-facebookchat/tmp.tar
	tar --bzip2 -cf pidgin-facebookchat-source.tar.bz2 pidgin-facebookchat
	rm -rf pidgin-facebookchat

## pidgin-facebookchat 1.64

=== Makefile ===
--- 
+++ 
@@ -13,35 +13,37 @@
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/include/json-glib-1.0 -ljson-glib-1.0
 WIN32_DEV_DIR = /root/pidgin/win32-dev
 WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.3.0_win32
-WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0
+WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -Wno-format
 WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32 -L. -ljson-glib-1.0 -lzlib1
 MACPORT_CFLAGS = -I/opt/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/json-glib-1.0 -arch i386 -arch ppc -dynamiclib -L/opt/local/lib -ljson-glib-1.0 -lpurple -lglib-2.0 -lgobject-2.0 -lintl -lz -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
 
 DEB_PACKAGE_DIR = ./debdir
 
 FACEBOOK_SOURCES = \
+	libfacebook.c \
+	fb_blist.c \
+	fb_connection.c \
+	fb_conversation.c \
+	fb_info.c \
+	fb_managefriends.c \
+	fb_messages.c \
+	fb_notifications.c \
+	fb_search.c \
+	fb_util.c \
+	fb_friendlist.c \
+	fb_json.c \
 	libfacebook.h \
-	libfacebook.c \
 	fb_blist.h \
-	fb_blist.c \
 	fb_connection.h \
-	fb_connection.c \
 	fb_conversation.h \
-	fb_conversation.c \
 	fb_info.h \
-	fb_info.c \
 	fb_managefriends.h \
-	fb_managefriends.c \
 	fb_messages.h \
-	fb_messages.c \
 	fb_notifications.h \
-	fb_notifications.c \
 	fb_search.h \
-	fb_search.c \
 	fb_util.h \
-	fb_util.c \
 	fb_friendlist.h \
-	fb_friendlist.c
+	fb_json.h
 
 #Standard stuff here
 .PHONY:	all clean install sourcepackage

## pidgin-facebookchat 1.67.1

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
 WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
 WIN32_WINDRES = i586-mingw32-windres
+WIN32_OBJCOPY = i586-mingw32-objcopy
 #LINUX_ARM_COMPILER = arm-pc-linux-gnu-gcc
 LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc
 LINUX_PPC_COMPILER = powerpc-unknown-linux-gnu-gcc
 FREEBSD60_COMPILER = i686-pc-freebsd6.0-gcc
-MACPORT_COMPILER = i686-apple-darwin9-gcc-4.0.1
+MACPORT_COMPILER = i686-apple-darwin10-gcc-4.0.1
 
 LIBPURPLE_CFLAGS = -I/usr/include/libpurple -I/usr/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/include/json-glib-1.0 -ljson-glib-1.0
@@ -16,6 +17,7 @@
 WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -Wno-format
 WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32 -L. -ljson-glib-1.0 -lzlib1
 MACPORT_CFLAGS = -I/opt/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/json-glib-1.0 -arch i386 -arch ppc -dynamiclib -L/opt/local/lib -ljson-glib-1.0 -lpurple -lglib-2.0 -lgobject-2.0 -lintl -lz -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
+PIDGIN_DIR = /root/pidgin/pidgin-2.7.0
 
 DEB_PACKAGE_DIR = ./debdir
 
@@ -43,7 +45,7 @@
 	fb_search.h \
 	fb_util.h \
 	fb_friendlist.h \
-	fb_json.h
+	fb_json.h 
 
 #Standard stuff here
 .PHONY:	all clean install sourcepackage
@@ -65,8 +67,14 @@
 	rm -f libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2 pidgin-facebookchat-source.tar.bz2
 	rm -rf pidgin-facebookchat
 
+libfacebook.macport.so: ${FACEBOOK_SOURCES}
+	${MACPORT_COMPILER} ${MACPORT_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.macport.so -shared
+
 libfacebook.so:	${FACEBOOK_SOURCES}
 	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC
+
+libfacebookxmpp.so:	libfbxmpp.c ${FACEBOOK_SOURCES}
+	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe libfbxmpp.c ${FACEBOOK_SOURCES} -o libfacebookxmpp.so -shared -fPIC -DPIC -I$(PIDGIN_DIR)/libpurple/protocols/jabber/ -lxml2 -I/usr/include/libxml2
 
 libfacebookarm.so:	${FACEBOOK_SOURCES}
 	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookarm.so -shared -fPIC -DPIC
@@ -84,7 +92,10 @@
 	${WIN32_WINDRES} $< -O coff -o $@
 
 libfacebook.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
-	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
+	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}
+	${WIN32_OBJCOPY} --only-keep-debug $@ $@.dbg
+	${WIN32_OBJCOPY} --strip-debug $@
+	${WIN32_OBJCOPY} --add-gnu-debuglink=$@.dbg $@
 	upx libfacebook.dll
 
 libfacebook-debug.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res

=== debian/changelog ===
pidgin-facebookchat (1.67.1-1) unstable; urgency=low

  * New upstream release.
    - v1.67: + Plugin works with new 'Account Security'/'device
             login'/'register your computer' login security feature 
    - v1.66: + Fix for crash on account creation
             + Fix for status messages showing as "like/unlike" rather 
             than the status message 
  * Switch to dpkg-source format 3.0 (quilt).
  * Remove quilt from control, rules.
  * Remove README.source.
  * Fix watch file by using googlecode.debian.net.  Closes: #581618.

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 01 Jun 2010 16:44:09 +0100

pidgin-facebookchat (1.65-1) unstable; urgency=low

  * New upstream release.
    + Fix for new buddy icons being too small
    + Download all buddies at startup, not just online ones 
  * debian/control:
    - Bump Standards-Version to 3.8.4 (no changes required).
    - DM-Upload-Allowed: yes

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 01 Mar 2010 19:02:22 +0000

pidgin-facebookchat (1.64-1) unstable; urgency=low

  * New upstream release (Closes: #561673).
    + Fix some friend requests not going away
    + Fix buddy icons not working for some people
    + Fix for logging out of browser while using plugin
    + Fix for buddies with hearts in their status messages
    + Fix for 'Get Info' screen not working (and eating up CPU)
  * debian/control:
    - Add missing ${misc:Depends}.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 27 Jan 2010 17:28:15 +0000

pidgin-facebookchat (1.63-1) unstable; urgency=low

  * New upstream release (Closes: #556528).
    + Fix buddy icons not downloading for some people
    + FB inbox message count shows in buddy list again
    + Fix for status messages not downloading
    + Fix for accepting/rejecting/adding buddies
  * debian/control:
    - Add myself to Uploaders.

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 16 Nov 2009 21:52:11 +0000

pidgin-facebookchat (1.62-0.1) unstable; urgency=low

  * Non-maintainer upload; acknowledged by maintainer.
  * New upstream release (Closes: #554578).
    + Fix for captcha causing crashes on Windows (the new captcha 
      doesn't work though)
    + Fix for not getting buddy list/logging out issues/protocol changes
    + Only complain about not being able to fetch buddy list after 
      3 attempts 
  * debian/control:
    - Bump Standards-Version to 3.8.3; no changes required.
  * Add debian/README.source.
  * Fix debian/watch.  Thanks Pablo Castellano for the patch 
    (Closes: #550363).

 -- Iulian Udrea <iulian@ubuntu.com>  Thu, 05 Nov 2009 14:43:23 +0000

pidgin-facebookchat (1.61-1.1) unstable; urgency=low

  * Non-maintainer upload; acknowledged by maintainer.
  * New upstream release (Closes: #548904).

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 04 Oct 2009 11:10:46 +0100

pidgin-facebookchat (1.60-1.1) unstable; urgency=low

  * Non-maintainer upload; acknowledged by maintainer.
  * New upstream release (LP: #402988).
  * debian/patches:
    - Drop 02_fix_facebook_changes_to_icons.diff; applied upstream.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 22 Jul 2009 13:53:26 +0100

pidgin-facebookchat (1.54-2) unstable; urgency=low

  * debian/control: Updated Standard-Version to 3.8.2.
  * Added debian/patches/02_fix_facebook_changes_to_icons.diff: Facebook
    changed their server's layout thereby breaking support for
    pidgin-facebookchat's buddy icon system. This patch fixes this (Closes:
    #536642, LP: #398412).

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 12 Jul 2009 12:45:37 +0100

pidgin-facebookchat (1.54-1) unstable; urgency=low

  [ Nick Andrik ]
  * New upstream release (LP: #379721, Closes: #525288).
  * Remaining changes
    - debian/patches/01_makefile_changes.diff : Makefile changes.
  * debian/control: Added libjson-glib-dev and zlib1g-dev to Build-Depends.

  [ Jonathan Davies ]
  * Various crashes fixed in new release (LP: #358043).
  * debian/control: Added pidgin and finch to Suggests lines so the user has
    an idea about what to install with plugin (Closes: #512694).
  * debian/rules: Replaced dh_clean with dh_prep to silence Lintian over
    obsoleted flags.

 -- Jonathan Davies <jpds@ubuntu.com>  Wed, 8 Jul 2009 10:38:30 +0100

pidgin-facebookchat (1.47-1) unstable; urgency=low

  * New upstream release.
  * Shorten my name everywhere.

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 25 Dec 2008 15:06:13 +0000

pidgin-facebookchat (1.44-1) unstable; urgency=low

  * New upstream release (Closes: #508801).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 16 Dec 2008 13:37:42 +0000

pidgin-facebookchat (1.42-1) unstable; urgency=low

  * New upstream release.
    - Stability improvements reported in upstream changelog (Closes: #506101).
  * Added description to patch 01_makefile_changes.diff to silence Lintian
    warning.
  * debian/control: Added explicit dependency on version 2.3.0 of libpurple0 to
    binary package stanza.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Thu, 04 Dec 2008 20:12:24 +0000

pidgin-facebookchat (1.39-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 30 Nov 2008 10:35:34 +0000

pidgin-facebookchat (1.38-2) unstable; urgency=low

  * Added debian/watch file for Debian External Health Status. 

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 16 Nov 2008 14:40:58 +0000

pidgin-facebookchat (1.38-1) unstable; urgency=low

  * New upstream release (Closes: #504117).
  * Updated dependency of debhelper and compat level to version 7.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 04 Nov 2008 21:33:02 +0000

pidgin-facebookchat (1.35-1) unstable; urgency=low

  * Initial release (Closes: #497698).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Wed, 03 Sep 2008 15:20:24 +0100

=== debian/control ===
Source: pidgin-facebookchat
Section: net
Priority: optional
Maintainer: Jonathan Davies <jpds@ubuntu.com>
Uploaders: Iulian Udrea <iulian@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libglib2.0-dev, libpurple-dev, libjson-glib-dev, zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/pidgin-facebookchat/

Package: pidgin-facebookchat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
Description: Facebook Chat plugin for Pidgin
 This is a Facebook chat plugin for Pidgin and libpurple messengers. It connects
 to the new Facebook Chat IM service without the need for an API key.
 .
 Currently the plugin can log into the Facebook servers, grab the buddy list,
 send/receive messages, add/remove friends, receive notifications, search for
 Facebook friends and set your Facebook status.

## pidgin-facebookchat 1.69

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	fb_util.c \
 	fb_friendlist.c \
 	fb_json.c \
+	fb_chat.c \
 	libfacebook.h \
 	fb_blist.h \
 	fb_connection.h \
@@ -45,7 +46,8 @@
 	fb_search.h \
 	fb_util.h \
 	fb_friendlist.h \
-	fb_json.h 
+	fb_json.h \
+	fb_chat.h
 
 #Standard stuff here
 .PHONY:	all clean install sourcepackage

=== debian/changelog ===
pidgin-facebookchat (1.69-2ubuntu1) natty; urgency=low

  * Sync on Debian (LP: #712907)
  * Add epoch to pidgin-data dependency since our pidgin package has an epoch
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 04 Feb 2011 12:11:23 -0600

pidgin-facebookchat (1.69-2) unstable; urgency=low

  * Do not provide facebook.png.  Closes: #609168.
  * Depend on pidgin-data >= 2.7.9-1.

 -- Iulian Udrea <iulian@ubuntu.com>  Thu, 03 Feb 2011 12:42:33 +0000

pidgin-facebookchat (1.69-1) experimental; urgency=low

  * New upstream release.
    + Buddy list not shown (everyone falsely shown as offline).  
    Closes: #605755.  Thanks Chow Loong Jin for reporting it.
    - v1.68: + Support for new group chats
             + Fix for setting status messages
             + Fix for when FB chat is down for maintenance

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 03 Dec 2010 20:41:40 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: pidgin-facebookchat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
+Depends: ${shlibs:Depends}, ${misc:Depends}, pidgin-data (>= 1:2.7.9-1), libpurple0 (>= 2.3.0), libjson-glib-1.0-0, zlib1g
 Description: Facebook Chat plugin for Pidgin
  This is a Facebook chat plugin for Pidgin and libpurple messengers. It connects
  to the new Facebook Chat IM service without the need for an API key.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for the pidgin-facebookchat plugin.
#

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) libfacebook.so
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) pidgin-facebookchat.deb DEB_PACKAGE_DIR=$(CURDIR)/debian/pidgin-facebookchat

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
